## dosfstools 3.0.12-0cssu0.4

=== debian/changelog ===
dosfstools (1:3.0.12-0cssu0.4) unstable; urgency=low

  * Checking boot sector for dirty bit

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 08 Sep 2014 10:52:50 +0200

dosfstools (1:3.0.12-0cssu0.3) unstable; urgency=low

  * Fix install paths
    - Now data will be installed to /usr/share instead /share

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 07 Jul 2013 22:06:58 +0200

dosfstools (1:3.0.12-0cssu0.2) unstable; urgency=low

  * fix build rules:
    - debian/patches - remove 03_dosfslabel_fix_segfault_no_volume_entry.patch.diff as it duplicates 02_fat32_label.patch
    - debian/rules - apply patches in debian/patches
    - debian/control - add quilt as a build dependency

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 12 Apr 2012 17:59:45 +0300

dosfstools (1:3.0.12-0cssu0) unstable; urgency=low

  * Pull from upstream, remaining changes:
    - debian/patches/02_fat32_label.patch: resolve an error thrown by
      dosfslabel when trying to label.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 12 Apr 2012 17:59:45 +0300

=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Ivaylo Dimitrov <freemangordon@abv.bg>
Build-Depends: debhelper (>= 5), libosso-dev, quilt
Standards-Version: 3.8.0
Vcs-Browser: https://git.gitorious.org/community-ssu/dosfstools.git
Vcs-Git: git://gitorious.org/community-ssu/dosfstools.git

Package: dosfstools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.

Package: dosfstools-dbg
Section: devel
Priority: extra
Architecture: any
Depends: dosfstools (= ${binary:Version})
Description: utilities for making and checking MS-DOS FAT filesystems (debug)
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	THUMB_CFLAGS = -mthumb
endif

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) distclean
	rm -f build

	dh_clean

build: patch build-stamp
build-stamp:
	dh_testdir

	$(MAKE) DEBUGFLAGS=-g OPTFLAGS="-O2 $(THUMB_CFLAGS) -fomit-frame-pointer $(shell getconf LFS_CFLAGS)"

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/dosfstools PREFIX=/usr SBINDIR=/sbin install

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip --dbg-package=dosfstools-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

## dosfstools 3.0.13

=== debian/changelog ===
dosfstools (3.0.13-1ubuntu0.1) quantal; urgency=low

  * Add dosfstools-udeb package, mainly so that we can use mkdosfs in d-i
    instead of deprecated and semi-broken libparted code (LP: #1065281).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Jan 2013 14:06:47 +0000

dosfstools (3.0.13-1) unstable; urgency=low

  * Merging upstream version 3.0.13.
  * Switching to xz compression.
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file to format 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 19:15:41 +0200

=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://www.daniel-baumann.ch/software/dosfstools/

Package: dosfstools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.

Package: dosfstools-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, dosfstools (= ${binary:Version})
Description: utilities for making and checking MS-DOS FAT filesystems (debug)
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This package contains the debugging symbols.

Package: dosfstools-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utilities for making and checking MS-DOS FAT filesystems

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr SBINDIR=/sbin

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/dosfstools/ChangeLog

override_dh_auto_test:
	# disabled

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_strip:
	dh_strip --dbg-package=dosfstools-dbg

## dosfstools 3.0.14

=== Makefile ===
# Makefile
#
# Copyright (C) 2008-2013 Daniel Baumann <mail@daniel-baumann.ch>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# On Debian systems, the complete text of the GNU General Public License
# can be found in /usr/share/common-licenses/GPL-3 file.


DESTDIR =
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
DOCDIR = $(PREFIX)/share/doc
MANDIR = $(PREFIX)/share/man

#OPTFLAGS = -O2 -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTFLAGS = -O2 -fomit-frame-pointer $(shell getconf LFS_CFLAGS)
#WARNFLAGS = -Wall -pedantic -std=c99
WARNFLAGS = -Wall
DEBUGFLAGS = -g
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)

VPATH = src

all: build

build: dosfsck dosfslabel mkdosfs

dosfsck: boot.o check.o common.o fat.o file.o io.o lfn.o dosfsck.o

dosfslabel: boot.o check.o common.o fat.o file.o io.o lfn.o dosfslabel.o

mkdosfs: mkdosfs.o

rebuild: distclean build

install: install-bin install-doc install-man

install-bin: build
	install -d -m 0755 $(DESTDIR)/$(SBINDIR)
	install -m 0755 dosfsck dosfslabel mkdosfs $(DESTDIR)/$(SBINDIR)

	ln -sf dosfsck $(DESTDIR)/$(SBINDIR)/fsck.msdos
	ln -sf dosfsck $(DESTDIR)/$(SBINDIR)/fsck.vfat
	ln -sf mkdosfs $(DESTDIR)/$(SBINDIR)/mkfs.msdos
	ln -sf mkdosfs $(DESTDIR)/$(SBINDIR)/mkfs.vfat

install-doc:
	install -d -m 0755 $(DESTDIR)/$(DOCDIR)/dosfstools
	install -p -m 0644 ChangeLog doc/* $(DESTDIR)/$(DOCDIR)/dosfstools

install-man:
	install -d -m 0755 $(DESTDIR)/$(MANDIR)/man8
	install -p -m 0644 man/*.8 $(DESTDIR)/$(MANDIR)/man8

	ln -sf dosfsck.8 $(DESTDIR)/$(MANDIR)/man8/fsck.msdos.8
	ln -sf dosfsck.8 $(DESTDIR)/$(MANDIR)/man8/fsck.vfat.8
	ln -sf mkdosfs.8 $(DESTDIR)/$(MANDIR)/man8/mkfs.msdos.8
	ln -sf mkdosfs.8 $(DESTDIR)/$(MANDIR)/man8/mkfs.vfat.8

uninstall: uninstall-bin uninstall-doc uninstall-man

uninstall-bin:
	rm -f $(DESTDIR)/$(SBINDIR)/dosfsck
	rm -f $(DESTDIR)/$(SBINDIR)/dosfslabel
	rm -f $(DESTDIR)/$(SBINDIR)/mkdosfs

	rm -f $(DESTDIR)/$(SBINDIR)/fsck.msdos
	rm -f $(DESTDIR)/$(SBINDIR)/fsck.vfat
	rm -f $(DESTDIR)/$(SBINDIR)/mkfs.msdos
	rm -f $(DESTDIR)/$(SBINDIR)/mkfs.vfat

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/$(SBINDIR)

uninstall-doc:
	rm -rf $(DESTDIR)/$(DOCDIR)/dosfstools

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/$(DOCDIR)

uninstall-man:
	rm -f $(DESTDIR)/$(MANDIR)/man8/dosfsck.8
	rm -f $(DESTDIR)/$(MANDIR)/man8/dosfslabel.8
	rm -f $(DESTDIR)/$(MANDIR)/man8/mkdosfs.8

	rm -f $(DESTDIR)/$(MANDIR)/man8/fsck.msdos.8
	rm -f $(DESTDIR)/$(MANDIR)/man8/fsck.vfat.8
	rm -f $(DESTDIR)/$(MANDIR)/man8/mkfs.msdos.8
	rm -f $(DESTDIR)/$(MANDIR)/man8/mkfs.vfat.8

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/$(MANDIR)/man8
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/$(MANDIR)

reinstall: distclean install

clean:
	rm -f *.o

distclean: clean
	rm -f dosfsck dosfslabel mkdosfs

.PHONY: build rebuild install install-bin install-doc install-man uninstall uninstall-bin uninstall-doc uninstall-man reinstall clean distclean

=== debian/changelog ===
dosfstools (3.0.14-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use correct compiler when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2013 13:31:07 +0000

dosfstools (3.0.14-1) unstable; urgency=low

  * Merging upstream version 3.0.14.
  * Updating to standards version 3.9.4.
  * Updating copyright file for 2013.
  * Dropping dpkg compression level.
  * Adding dpkg-source local-options.
  * Applying slightly modified patch from Colin Watson
    <cjwatson@ubuntu.com> to add a udeb package, mainly so that d-i can
    use mkdosfs instead of deprecated and semi-broken libparted code
    (Closes: #698433).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 23 Jan 2013 13:42:32 +0100

dosfstools (3.0.13-1ubuntu2) raring; urgency=low

  * Add dosfstools-udeb package, mainly so that we can use mkdosfs in d-i
    instead of deprecated and semi-broken libparted code (LP: #1065281).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Jan 2013 20:09:57 +0000

dosfstools (3.0.13-1ubuntu1) raring; urgency=low

  * Use correct compiler when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Dec 2012 14:35:46 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.daniel-baumann.ch/software/dosfstools/
 
 Package: dosfstools
@@ -35,4 +35,4 @@
 Section: debian-installer
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: utilities for making and checking MS-DOS FAT filesystems
+Description: utilities for making and checking MS-DOS FAT filesystems (udeb)

## dosfstools 3.0.23

=== debian/changelog ===
dosfstools (3.0.23-1tanglu1) staging; urgency=low

  * Don't remove legacy symlinks. They're needed by d-i 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Oct 2013 00:39:58 +0200

dosfstools (3.0.23-1) experimental; urgency=low

  * Updating vcs fields.
  * Merging upstream version 3.0.23.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Oct 2013 08:09:23 +0200

dosfstools (3.0.22-1) experimental; urgency=low

  * Merging upstream version 3.0.22:
    - improves bootability of hdd filesystems (Closes: #552673, #557061).
    - allows writing all lowercase labels (Closes: #714971).
  * Using uninstall-symlinks target rather than manual removal in rules.
  * Calling dh_install with --fail-missing in rules.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 19 Jul 2013 07:06:36 +0200

dosfstools (3.0.21-2) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Avoid pulling in legacy symlinks in udeb.
  * Also including fatlabel in udeb.
  * Dropping legacy symlinks.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Jul 2013 12:48:19 +0200

dosfstools (3.0.21-1) experimental; urgency=low

  * Merging upstream version 3.0.21.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 16 Jul 2013 08:50:22 +0200

dosfstools (3.0.20-1) experimental; urgency=low

  * Merging upstream version 3.0.20:
    - Fixing default sectors per cluster for FAT32 (Closes: #690062).
    - Softening message about different boot sectors a bit (Closes: #704198).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 12 Jun 2013 12:29:24 +0200

dosfstools (3.0.19-1) experimental; urgency=low

  * Updating package descriptions.
  * Merging upstream version 3.0.19.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Jun 2013 18:50:53 +0200

dosfstools (3.0.18-1) experimental; urgency=low

  * Merging upstream version 3.0.18:
    - dosfslabel: Do not read beyond string length (Closes: #709587).
  * Updating udeb debhelper install file for upstreams file renamings.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 06 Jun 2013 09:56:40 +0200

dosfstools (3.0.17-2) experimental; urgency=low

  * Building dosfstools on linux architectures only.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 06 Jun 2013 08:14:53 +0200

dosfstools (3.0.17-1) experimental; urgency=low

  * Shortening links to upstream homepage.
  * Merging upstream version 3.0.17:
    - fixes segfault in dosfslabel (Closes: #702392).
    - clarifies label max lenghts in manpage (Closes: #655953).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 29 May 2013 10:24:54 +0200

dosfstools (3.0.16-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 19:58:06 +0100

dosfstools (3.0.16-1) unstable; urgency=low

  * Merging upstream version 3.0.16.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 01 Mar 2013 09:03:53 +0100

dosfstools (3.0.15-1) unstable; urgency=low

  [ Colin Watson ]
  * Using correct compiler when cross-building.

  [ Daniel Baumann ]
  * Merging upstream version 3.0.15:
    - Bugfix root directory allocation (Closes: #639393).
    - Bugfix messages about unicode filenames (Closes: #596336).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 21 Feb 2013 15:20:07 +0100

=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://daniel-baumann.ch/software/dosfstools/
Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/dosfstools.git
Vcs-Git: git://daniel-baumann.ch/git/debian/packages/dosfstools.git

Package: dosfstools
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkfs.fat and fsck.fat utilities, which
 respectively make and check MS-DOS FAT filesystems.

Package: dosfstools-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 ${misc:Depends},
 dosfstools (= ${binary:Version}),
Description: utilities for making and checking MS-DOS FAT filesystems (debug)
 The dosfstools package includes the mkfs.fat and fsck.fat utilities, which
 respectively make and check MS-DOS FAT filesystems.
 .
 This package contains the debugging symbols.

Package: dosfstools-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities for making and checking MS-DOS FAT filesystems (udeb)

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh ${@}

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
override_dh_auto_build:
	dh_auto_build -- CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr SBINDIR=/sbin

	# Removing legacy symlinks
	#$(MAKE) DESTDIR=debian/tmp PREFIX=/usr SBINDIR=/sbin uninstall-symlinks

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/dosfstools/ChangeLog

override_dh_auto_test:
	# disabled

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=dosfstools-dbg

## dosfstools 3.0.24

=== Makefile ===
# Makefile
#
# Copyright (C) 2008-2013 Daniel Baumann <mail@daniel-baumann.ch>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# The complete text of the GNU General Public License
# can be found in /usr/share/common-licenses/GPL-3 file.

SHELL := sh -e
LANGUAGES = $(shell cd manpages/po && ls)

DESTDIR =
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
DOCDIR = $(PREFIX)/share/doc
MANDIR = $(PREFIX)/share/man

#OPTFLAGS = -O2 -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTFLAGS = -O2 -fomit-frame-pointer -D_GNU_SOURCE $(shell getconf LFS_CFLAGS)
#WARNFLAGS = -Wall -pedantic -std=c99
WARNFLAGS = -Wall -Wextra -Wno-sign-compare -Wno-missing-field-initializers -Wmissing-prototypes -Wstrict-prototypes
DEBUGFLAGS = -g
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)

VPATH = src

all: build

build: fatlabel fsck.fat mkfs.fat

fatlabel: boot.o check.o common.o fat.o file.o io.o lfn.o charconv.o fatlabel.o

fsck.fat: boot.o check.o common.o fat.o file.o io.o lfn.o charconv.o fsck.fat.o

mkfs.fat: mkfs.fat.o

rebuild: distclean build

install: install-bin install-doc install-man install-symlinks

install-bin: build
	install -d -m 0755 $(DESTDIR)/$(SBINDIR)
	install -m 0755 fatlabel fsck.fat mkfs.fat $(DESTDIR)/$(SBINDIR)

install-doc:
	install -d -m 0755 $(DESTDIR)/$(DOCDIR)/dosfstools
	install -p -m 0644 ChangeLog doc/* $(DESTDIR)/$(DOCDIR)/dosfstools

install-man:
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="8"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/$(MANDIR)/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="8"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/$(MANDIR)/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done
install-symlinks: install-bin install-man
	if [ -e $(DESTDIR)/$(SBINDIR)/fatlabel ]; \
	then \
		ln -sf fatlabel $(DESTDIR)/$(SBINDIR)/dosfslabel; \
		if [ -e $(DESTDIR)/$(MANDIR)/man8/fatlabel.8 ]; \
		then \
			ln -sf fatlabel.8 $(DESTDIR)/$(MANDIR)/man8/dosfslabel.8; \
		fi; \
	fi

	if [ -e $(DESTDIR)/$(SBINDIR)/fsck.fat ]; \
	then \
		ln -sf fsck.fat $(DESTDIR)/$(SBINDIR)/dosfsck; \
		ln -sf fsck.fat $(DESTDIR)/$(SBINDIR)/fsck.msdos; \
		ln -sf fsck.fat $(DESTDIR)/$(SBINDIR)/fsck.vfat; \
		if [ -e $(DESTDIR)/$(MANDIR)/man8/fsck.fat.8 ]; \
		then \
			ln -sf fsck.fat.8 $(DESTDIR)/$(MANDIR)/man8/dosfsck.8; \
			ln -sf fsck.fat.8 $(DESTDIR)/$(MANDIR)/man8/fsck.msdos.8; \
			ln -sf fsck.fat.8 $(DESTDIR)/$(MANDIR)/man8/fsck.vfat.8; \
		fi; \
	fi

	if [ -e $(DESTDIR)/$(SBINDIR)/mkfs.fat ]; \
	then \
		ln -sf mkfs.fat $(DESTDIR)/$(SBINDIR)/mkdosfs; \
		ln -sf mkfs.fat $(DESTDIR)/$(SBINDIR)/mkfs.msdos; \
		ln -sf mkfs.fat $(DESTDIR)/$(SBINDIR)/mkfs.vfat; \
		if [ -e $(DESTDIR)/$(MANDIR)/man8/mkfs.fat.8 ]; \
		then \
			ln -sf mkfs.fat.8 $(DESTDIR)/$(MANDIR)/man8/mkdosfs.8; \
			ln -sf mkfs.fat.8 $(DESTDIR)/$(MANDIR)/man8/mkfs.msdos.8; \
			ln -sf mkfs.fat.8 $(DESTDIR)/$(MANDIR)/man8/mkfs.vfat.8; \
		fi; \
	fi

uninstall: uninstall-symlinks uninstall-man uninstall-doc uninstall-bin

uninstall-bin:
	rm -f $(DESTDIR)/$(SBINDIR)/fatlabel
	rm -f $(DESTDIR)/$(SBINDIR)/fsck.fat
	rm -f $(DESTDIR)/$(SBINDIR)/mkfs.fat

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/$(SBINDIR)

uninstall-doc:
	rm -rf $(DESTDIR)/$(DOCDIR)/dosfstools

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/$(DOCDIR)

uninstall-man:
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="8"; \
		rm -f $(DESTDIR)/$(MANDIR}/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="8"; \
			rm -f $(DESTDIR)/$(MANDIR)/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall-symlinks:
	rm -f $(DESTDIR)/$(SBINDIR)/dosfslabel
	rm -f $(DESTDIR)/$(MANDIR)/man8/dosfslabel.8

	rm -f $(DESTDIR)/$(SBINDIR)/dosfsck
	rm -f $(DESTDIR)/$(MANDIR)/man8/dosfsck.8
	rm -f $(DESTDIR)/$(SBINDIR)/fsck.msdos
	rm -f $(DESTDIR)/$(MANDIR)/man8/fsck.msdos.8
	rm -f $(DESTDIR)/$(SBINDIR)/fsck.vfat
	rm -f $(DESTDIR)/$(MANDIR)/man8/fsck.vfat.8

	rm -f $(DESTDIR)/$(SBINDIR)/mkdosfs
	rm -f $(DESTDIR)/$(MANDIR)/man8/mkdosfs.8
	rm -f $(DESTDIR)/$(SBINDIR)/mkfs.msdos
	rm -f $(DESTDIR)/$(MANDIR)/man8/mkfs.msdos.8
	rm -f $(DESTDIR)/$(SBINDIR)/mkfs.vfat
	rm -f $(DESTDIR)/$(MANDIR)/man8/mkfs.vfat.8

reinstall: distclean install

clean:
	rm -f *.o

distclean: clean
	rm -f fatlabel fsck.fat mkfs.fat

.PHONY: build rebuild install install-bin install-doc install-man install-symlinks uninstall uninstall-bin uninstall-doc uninstall-man uninstall-symlinks reinstall clean distclean

=== debian/changelog ===
dosfstools (3.0.24-1) experimental; urgency=low

  * Updating to standards version 3.9.5.
  * Merging upstream version 3.0.24.
  * Including legacy symlinks.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 23 Nov 2013 10:47:09 +0100

## dosfstools 3.0.25

=== debian/changelog ===
dosfstools (3.0.25-1) experimental; urgency=low

  * Merging upstream version 3.0.25.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 07:14:46 +0100

## dosfstools 3.0.26

=== manpages/Makefile ===
# Makefile

## dosfstools(7)
## Copyright (C) 2006-2014 Daniel Baumann <mail@daniel-baumann.ch>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name dosfstools po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

=== debian/changelog ===
dosfstools (3.0.26-1) experimental; urgency=low

  * Merging upstream version 3.0.26.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 07 Mar 2014 18:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://daniel-baumann.ch/software/dosfstools/
 Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/dosfstools.git
 Vcs-Git: git://daniel-baumann.ch/git/debian/packages/dosfstools.git

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr SBINDIR=/sbin
 
-	# Removing legacy symlinks
-	#$(MAKE) DESTDIR=debian/tmp PREFIX=/usr SBINDIR=/sbin uninstall-symlinks
-
 	# Removing useless files
 	rm -f debian/tmp/usr/share/doc/dosfstools/ChangeLog

## dosfstools 3.0.27

=== debian/changelog ===
dosfstools (3.0.27-1) unstable; urgency=medium

  * New upstream version 3.0.27
    - fixes fatlabel mangling long file names in root directory
      (Closes: #768909)
    - fixes spurious uncorrectable empty file name error reported by
      fsck.fat (thanks to AlexisM for finding the cause)
      (Closes: #764992)
  * New maintainer
  * New upstream, change debian/watch and fields in debian/control and
    debian/copyright accordingly
  * Remove 0001-LFN-is-no-volume-entry.patch, already fixed in upstream

 -- Andreas Bombe <aeb@debian.org>  Wed, 12 Nov 2014 03:21:26 +0100

dosfstools (3.0.26-5) unstable; urgency=medium

  * QA upload
  * set Vcs-* to collab-maint
  * add 0001-LFN-is-no-volume-entry.patch:
    don't overwrite LFN entries with volume entries (Closes: #768909)

 -- Bernhard R. Link <brlink@debian.org>  Tue, 11 Nov 2014 20:38:15 +0100

dosfstools (3.0.26-4) unstable; urgency=medium

  * QA upload.
  * Bumped Standards-Version to 3.9.6.
  * Added a debian/watch file.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS
    variable to fix the issues pointed by blhc.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 12 Oct 2014 03:09:10 -0300

dosfstools (3.0.26-3) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 21:11:41 +0200

dosfstools (3.0.26-2) unstable; urgency=low

  * Updating year in copyright file.
  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 19:47:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dosfstools
 Section: otherosfs
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://daniel-baumann.ch/software/dosfstools/
-Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/dosfstools.git
-Vcs-Git: git://daniel-baumann.ch/git/debian/packages/dosfstools.git
+Standards-Version: 3.9.6
+Homepage: https://github.com/dosfstools/dosfstools
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dosfstools.git/
+Vcs-Git: git://anonscm.debian.org/collab-maint/dosfstools.git
 
 Package: dosfstools
 Architecture: linux-any

=== debian/watch ===
version=3
https://github.com/dosfstools/dosfstools/releases .*/v\d\S*/dosfstools-(\d\S*)\.tar\.(?:xz|gz|bz2)

## dosfstools 3.0.28

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile
 #
-# Copyright (C) 2008-2013 Daniel Baumann <mail@daniel-baumann.ch>
+# Copyright (C) 2008-2014 Daniel Baumann <mail@daniel-baumann.ch>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -30,7 +30,7 @@
 #OPTFLAGS = -O2 -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 OPTFLAGS = -O2 -fomit-frame-pointer -D_GNU_SOURCE $(shell getconf LFS_CFLAGS)
 #WARNFLAGS = -Wall -pedantic -std=c99
-WARNFLAGS = -Wall -Wextra -Wno-sign-compare -Wno-missing-field-initializers -Wmissing-prototypes -Wstrict-prototypes
+WARNFLAGS = -Wall -Wextra -Wno-sign-compare -Wno-missing-field-initializers -Wmissing-prototypes -Wstrict-prototypes -Wwrite-strings
 DEBUGFLAGS = -g
 CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)
 
@@ -62,7 +62,8 @@
 	for MANPAGE in manpages/en/*; \
 	do \
 		SECTION="8"; \
-		install -D -m 0644 $${MANPAGE} $(DESTDIR)/$(MANDIR)/man$${SECTION}/$$(basename $${MANPAGE}); \
+		mkdir -p $(DESTDIR)/$(MANDIR)/man$${SECTION}/; \
+		install -m 0644 $${MANPAGE} $(DESTDIR)/$(MANDIR)/man$${SECTION}/$$(basename $${MANPAGE}); \
 	done
 
 	for LANGUAGE in $(LANGUAGES); \
@@ -70,7 +71,8 @@
 		for MANPAGE in manpages/$${LANGUAGE}/*; \
 		do \
 			SECTION="8"; \
-			install -D -m 0644 $${MANPAGE} $(DESTDIR)/$(MANDIR)/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
+			mkdir -p $(DESTDIR)/$(MANDIR)/$${LANGUAGE}/man$${SECTION}/; \
+			install -m 0644 $${MANPAGE} $(DESTDIR)/$(MANDIR)/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
 		done; \
 	done
 install-symlinks: install-bin install-man
@@ -127,7 +129,7 @@
 	for MANPAGE in manpages/en/*; \
 	do \
 		SECTION="8"; \
-		rm -f $(DESTDIR)/$(MANDIR}/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
+		rm -f $(DESTDIR)/$(MANDIR)/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
 	done
 
 	for LANGUAGE in $(LANGUAGES); \

=== debian/changelog ===
dosfstools (3.0.28-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: out of bounds read denial of service
    - debian/patches/date_oob_read.patch: prevent out of bounds array read
      in src/check.c.
    - No CVE number
  * SECURITY UPDATE: memory corruption via off-by-2 in FAT12
    - debian/patches/CVE-2015-8872.patch: fix FAT12 logic in src/fat.c.
    - CVE-2015-8872
  * SECURITY UPDATE: heap overflow via excessive FAT size specifications
    - debian/patches/CVE-2016-4804.patch: change size and perform checks in
      src/boot.c, src/fsck.fat.h.
    - CVE-2016-4804

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 May 2016 15:29:46 -0400

dosfstools (3.0.28-2) unstable; urgency=medium

  * Enable checking of PGP signatures on upstream tarballs in debian/watch
  * Notify users about the default mode change for fsck in NEWS file

 -- Andreas Bombe <aeb@debian.org>  Sat, 22 Aug 2015 01:03:28 +0200

dosfstools (3.0.28-1) unstable; urgency=medium

  * New upstream version 3.0.28
    - interactive repair mode is now the default for fsck.fat, ending
      confusion about the previous default mode that looked like interactive
      repair but never offered the option at the end to actually modify the
      filesystem (Closes: #417639)
    - fsck.fat now checks that the first cluster of a file is not 1, thereby
      also preventing a possible segfault (Closes: #773885)
    - 0xF0 is now allowed to be specified as media type for mkfs.fat
      (Closes: #753951)

 -- Andreas Bombe <aeb@debian.org>  Mon, 01 Jun 2015 02:33:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dosfstools
 Section: otherosfs
 Priority: optional
-Maintainer: Andreas Bombe <aeb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
 Homepage: https://github.com/dosfstools/dosfstools

## dosfstools 4.1

=== debian/changelog ===
dosfstools (4.1-1) unstable; urgency=medium

  * New upstream version 4.1
  * Remove patch for heads/sectors default, integrated upstream
  * Add xxd to Build-Depends and re-enable dh_auto_test to run test suite
  * Bump debhelper compat level to 10
  * Remove --parallel and --with autoreconf from dh invocation, these are
    default with debhelper 10

 -- Andreas Bombe <aeb@debian.org>  Wed, 25 Jan 2017 00:48:34 +0100

dosfstools (4.0-2) unstable; urgency=medium

  * Add patch to default to 64/32 heads/sectors for filesystems smaller than
    512 MB (Closes: #823881)

 -- Andreas Bombe <aeb@debian.org>  Wed, 11 May 2016 04:09:18 +0200

dosfstools (4.0-1) unstable; urgency=medium

  * New Upstream version 4.0
  * Add debian/NEWS entry about reinstated alignment by mkfs.fat
  * Add Public Domain license for src/blkdev/* and update copyright lines in
    debian/copyright
  * Bump Standards-Version to 3.9.8

 -- Andreas Bombe <aeb@debian.org>  Sat, 07 May 2016 00:31:35 +0200

dosfstools (3.99.0~git20160203-1) experimental; urgency=medium

  * New Upstream snapshot version 3.99.0~git20160203
    - removes unneeded linux/fd.h include
    - reintroduces the missing historic documentation
  * Switch Vcs-Browser and Vcs-Git URLs to https transport

 -- Andreas Bombe <aeb@debian.org>  Wed, 03 Feb 2016 04:08:32 +0100

dosfstools (3.99.0~git20160127-2) experimental; urgency=medium

  * Add pkg-config to Build-Depends

 -- Andreas Bombe <aeb@debian.org>  Tue, 02 Feb 2016 01:19:58 +0100

dosfstools (3.99.0~git20160127-1) experimental; urgency=medium

  * New Upstream snapshot version 3.99.0~git20160127
    - new device probing in mkfs fixes long standing problems with
      misidentifying devices and randomly requiring the -I option
    - no longer Linux-only
  * Replace upstream/signing-key.asc with minimal export of the same key
  * Remove building of dosfstools-dbg, let automatic debug package be built
    instead
  * Adjust debian/rules for upstream change to autotools and add Build-Depends
    on dh-autoreconf
  * Change Architecture from linux-any to any
  * Add Build-Depends on libudev-dev for linux-any architectures
  * Remove override_dh_builddeb to enable xz compression, it is already
    default
  * Remove handling for cross compiling and let dh_auto_configure do it
    automatically

 -- Andreas Bombe <aeb@debian.org>  Mon, 01 Feb 2016 02:39:02 +0100

=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Andreas Bombe <aeb@debian.org>
Build-Depends: debhelper (>= 10), dh-autoreconf, pkg-config,
 libudev-dev [linux-any], xxd
Standards-Version: 3.9.8
Homepage: https://github.com/dosfstools/dosfstools
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dosfstools.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dosfstools.git

Package: dosfstools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkfs.fat and fsck.fat utilities, which
 respectively make and check MS-DOS FAT filesystems.

Package: dosfstools-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities for making and checking MS-DOS FAT filesystems (udeb)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

override_dh_auto_configure:
	dh_auto_configure -- --sbindir=/sbin --enable-compat-symlinks

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/dosfstools/ChangeLog

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --ddeb-migration='dosfstools-dbg (<< 3.99.0~)'

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://github.com/dosfstools/dosfstools/releases .*/v\d\S*/dosfstools-(\d\S*)\.tar\.(?:xz|gz|bz2)

## dosfstools 4.2

=== debian/changelog ===
dosfstools (4.2-1) unstable; urgency=medium

  [ Andreas Bombe ]
  * New upstream version 4.2
    * fatlabel now additionally supports changing the volume ID (Closes:
      #563746)
    * fsck.fat handles reads user input by character instead of by line now,
      resolving some confusing reactions to input (Closes: #831671, #300505)
    * fsck.fat also offers a quit option on every prompt (Closes: #728355)
    * Update d/copyright, change Upstream-Contact to Pali Rohár
    * Remove Build-Depends on libudev-dev and pkg-config, not used anymore
  * No longer automatically enables Atari mode when running on Atari 68k Linux
    for predictable behavior across all hardware (Closes: #559003)
  * Increase debhelper compat to 13 and use new method to specify compat
    * Remove override of dh_missing in d/rules, default now with debhelper 13
  * Remove d/source/options with compression setting
  * Do not install superfluous COPYING file to /usr/share/doc
  * Add Rules-Requires-Root: no to d/control
  * Change d/watch file to version 4
  * Bump Standards-Version to 4.5.1

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Andreas Bombe <aeb@debian.org>  Mon, 08 Feb 2021 02:13:30 +0100

dosfstools (4.1-2) unstable; urgency=medium

  * Drop Build-Depends on dh-autoreconf, not needed with debhelper >= 10
  * Change Vcs-* fields in debian/control to salsa repository addresses
  * Raise debhelper compat level to 11
  * Use `dh_missing --fail-missing` instead of `dh_install --fail-missing`
  * Bump Standards-Version to 4.1.4, no changes necessary
  * Use https URL for debian/copyright Format field

 -- Andreas Bombe <aeb@debian.org>  Sun, 13 May 2018 00:59:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper (>= 10), dh-autoreconf, pkg-config,
- libudev-dev [linux-any], xxd
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13), xxd
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/dosfstools/dosfstools
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dosfstools.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dosfstools.git
+Vcs-Browser: https://salsa.debian.org/debian/dosfstools
+Vcs-Git: https://salsa.debian.org/debian/dosfstools.git
 
 Package: dosfstools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,7 @@
 
 	# Removing useless files
 	rm -f debian/tmp/usr/share/doc/dosfstools/ChangeLog
-
-override_dh_install:
-	dh_install --fail-missing
+	rm -f debian/tmp/usr/share/doc/dosfstools/COPYING
 
 override_dh_strip:
 	dh_strip --ddeb-migration='dosfstools-dbg (<< 3.99.0~)'

## dosfstools 4.2-1build3+11.0trisquel0

=== debian/changelog ===
dosfstools (4.2-1build3+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Nov 2022 02:46:09 +0000

dosfstools (4.2-1build3) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:51:01 +0100

dosfstools (4.2-1build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:59 +0200

dosfstools (4.2-1build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:30:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dosfstools
 Section: otherosfs
 Priority: optional
-Maintainer: Andreas Bombe <aeb@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 13), xxd
 Standards-Version: 4.5.1
 Rules-Requires-Root: no

## dosfstools 4.2-1.1~really4.1

=== debian/changelog ===
dosfstools (4.2-1.1~really4.1-2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix for calamares

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 18 Feb 2021 21:54:24 +0100
